> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Queue Settings

> Update a queue's callback, exit, media/announce, and agent settings



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json patch /v2/admin/queues/{id}/settings
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/queues/{id}/settings:
    patch:
      tags:
        - Queues
      summary: Update Queue Settings
      description: Update a queue's callback, exit, media/announce, and agent settings
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: id
          required: true
          description: Queue ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                callback:
                  type: boolean
                callbackCallerIdNumber:
                  type: string
                  pattern: ^[1-9]\d{9}$
                callbackMaxAttempts:
                  type: number
                  minimum: 1
                  maximum: 5
                exitKey:
                  type: string
                  enum:
                    - '0'
                    - '1'
                    - '2'
                    - '3'
                    - '4'
                    - '5'
                    - '6'
                    - '7'
                    - '8'
                    - '9'
                    - '*'
                    - '#'
                    - IVR
                ivrId:
                  type: number
                  exclusiveMinimum: 0
                exitKeyDestinations:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: number
                        exclusiveMinimum: 0
                      type:
                        type: string
                        minLength: 3
                    required:
                      - id
                      - type
                    additionalProperties: false
                playToCaller:
                  anyOf:
                    - type: string
                      enum:
                        - ''
                        - r
                        - R
                    - type: 'null'
                periodicAnnounceFrequency:
                  anyOf:
                    - type: number
                      exclusiveMinimum: 0
                    - type: number
                      enum:
                        - 0
                reportHoldTime:
                  type: boolean
                announceHoldTime:
                  type: string
                  enum:
                    - 'yes'
                    - 'no'
                    - once
                announcePosition:
                  type: string
                  enum:
                    - 'yes'
                    - 'no'
                    - limit
                    - more
                announcePositionLimit:
                  type: number
                  minimum: 0
                announceFrequency:
                  type: number
                  minimum: 0
                mediaDestinations:
                  type: array
                  items:
                    type: object
                    properties:
                      mediaType:
                        anyOf:
                          - type: string
                            enum:
                              - callbackAgentConnect
                          - type: string
                            enum:
                              - periodicAnnouncement
                          - type: string
                            enum:
                              - holdTime
                          - type: string
                            enum:
                              - thereAre
                          - type: string
                            enum:
                              - thankYou
                          - type: string
                            enum:
                              - youAreNext
                          - type: string
                            enum:
                              - callsWaiting
                      type:
                        type: string
                        enum:
                          - PLAYBACK
                      id:
                        type: number
                        exclusiveMinimum: 0
                    required:
                      - mediaType
                      - type
                      - id
                ringInUse:
                  type: boolean
                autoPause:
                  type: boolean
                autoFill:
                  type: boolean
                ringAgentsOnlyOnce:
                  type: boolean
                agentTimeout:
                  type: number
                  exclusiveMinimum: 0
                agentWrapupTime:
                  type: number
                  minimum: 0
                tierTimeout:
                  anyOf:
                    - anyOf:
                        - type: string
                          enum:
                            - '15'
                        - type: string
                          enum:
                            - '30'
                        - type: string
                          enum:
                            - '60'
                    - type: 'null'
                enableAgentDestinations:
                  default: false
                  type: boolean
                allowedAgents:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: number
                        exclusiveMinimum: 0
                      penalty:
                        default: 0
                        type: integer
                        minimum: 0
                        maximum: 5
                    required:
                      - id
              additionalProperties: false
      responses:
        '200':
          description: Updated queue
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: Queue ID
                  name:
                    type: string
                    description: Queue name
                  number:
                    description: Queue number
                    anyOf:
                      - type: string
                      - type: 'null'
                  tenantId:
                    type: number
                    description: Tenant ID
                  branch:
                    description: Owning branch
                    anyOf:
                      - type: object
                        properties:
                          id:
                            type: number
                          name:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - id
                          - name
                        additionalProperties: false
                      - type: 'null'
                required:
                  - id
                  - name
                  - tenantId
                additionalProperties: {}
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````